# API Reference

- [Settings and packages](https://docs.certn.co/api/api-reference/general.md): How to organize general resources in Certn's API, such as Superteams, Teams, Users, and Packages .
- [Human Resources](https://docs.certn.co/api/api-reference/hr.md): How to make requests and generate reports as a human resources client in the Certn API.
- [Available checks](https://docs.certn.co/api/api-reference/hr/available-checks.md)
- [Property Management](https://docs.certn.co/api/api-reference/pm.md): How to make requests and generate reports as a property management client in the Certn API.
- [Available checks](https://docs.certn.co/api/api-reference/pm/available-checks.md)
- [Resources](https://docs.certn.co/api/api-reference/resources.md): Resource articles about Certn API application parameters, regional codes, error codes, and report field mappings.
- [Application parameters](https://docs.certn.co/api/api-reference/resources/application-parameters.md): Certn API parameters for how to request checks, collect information and generate reports.
- [Request flags](https://docs.certn.co/api/api-reference/resources/application-parameters/request-flags.md)
- [Package settings](https://docs.certn.co/api/api-reference/resources/application-parameters/package-settings.md): Package settings are optional settings which relate to types of checks. These can be defined when running a check or when setting up a package of checks to run later.
- [Error codes](https://docs.certn.co/api/api-reference/resources/error-codes.md): A list of API error codes and how to fix them.
- [Regional codes](https://docs.certn.co/api/api-reference/resources/region-codes.md)
- [Report field mappings](https://docs.certn.co/api/api-reference/resources/report-field-mappings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
